<?xml version="1.0" encoding="utf-8"?>
<!--~
  ~  @package   AkeebaSocialLogin
  ~  @copyright Copyright (c)2016-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
  ~  @license   GNU General Public License version 3, or later
  -->

<extension version="3.8.0" type="plugin" group="sociallogin" method="upgrade">
    <name>PLG_SOCIALLOGIN_APPLE</name>
    <version>4.0.2</version>
    <creationDate>2022-03-31</creationDate>

    <author>Akeeba Ltd</author>
    <authorEmail>no-reply@akeeba.com</authorEmail>
    <authorUrl>https://www.akeeba.com</authorUrl>

    <copyright>Copyright (c)2016-2021 Akeeba Ltd</copyright>
    <license>GNU GPL v3 or later</license>

    <description>PLG_SOCIALLOGIN_APPLE_DESCRIPTION</description>

    <files>
        <filename plugin="apple">apple.php</filename>
        <filename>random_words.php</filename>
    </files>

    <media folder="media" destination="plg_sociallogin_apple">
        <folder>images</folder>
    </media>

    <languages folder="language">
        <language tag="en-GB">en-GB/plg_sociallogin_apple.ini</language>
        <language tag="en-GB">en-GB/plg_sociallogin_apple.sys.ini</language>
    </languages>

    <config addfieldpath="plugins/system/sociallogin/fields">
        <fields name="params">
            <fieldset name="basic">
                <field
                        name="appid"
                        type="text"
                        label="PLG_SOCIALLOGIN_APPLE_FIELD_CLIENTID_LABEL"
                        description="PLG_SOCIALLOGIN_APPLE_FIELD_CLIENTID_DESC"
                        default=""
                />

                <field
                        name="teamID"
                        type="text"
                        label="PLG_SOCIALLOGIN_APPLE_FIELD_TEAMID_LABEL"
                        description="PLG_SOCIALLOGIN_APPLE_FIELD_TEAMID_DESC"
                        default=""
                />

                <field
                        name="keyID"
                        type="text"
                        label="PLG_SOCIALLOGIN_APPLE_FIELD_KEYID_LABEL"
                        description="PLG_SOCIALLOGIN_APPLE_FIELD_KEYID_DESC"
                        default=""
                />

                <field
                        name="keyMaterial"
                        type="textarea"
                        label="PLG_SOCIALLOGIN_APPLE_FIELD_KEYMATERIAL_LABEL"
                        description="PLG_SOCIALLOGIN_APPLE_FIELD_KEYMATERIAL_DESC"
                        default=""
                />

                <field
                        name="loginunlinked"
                        type="radio"
                        layout="joomla.form.field.radio.switcher"
                        label="PLG_SOCIALLOGIN_APPLE_FIELD_LOGINUNLINKED_LABEL"
                        description="PLG_SOCIALLOGIN_APPLE_FIELD_LOGINUNLINKED_DESC"
                        default="0"
                >
                    <option value="0">JNO</option>
                    <option value="1">JYES</option>
                </field>

                <field
                        name="createnew"
                        type="radio"
                        layout="joomla.form.field.radio.switcher"
                        label="PLG_SOCIALLOGIN_APPLE_FIELD_CREATENEW_LABEL"
                        description="PLG_SOCIALLOGIN_APPLE_FIELD_CREATENEW_DESC"
                        default="0"
                >
                    <option value="0">JNO</option>
                    <option value="1">JYES</option>
                </field>

                <field
                        name="forcenew"
                        type="radio"
                        layout="joomla.form.field.radio.switcher"
                        label="PLG_SOCIALLOGIN_APPLE_FIELD_FORCENEW_LABEL"
                        description="PLG_SOCIALLOGIN_APPLE_FIELD_FORCENEW_DESC"
                        default="0"
                        showon="createnew:1"
                >
                    <option value="0">JNO</option>
                    <option value="1">JYES</option>
                </field>

                <field
                        name="bypassvalidation"
                        type="radio"
                        layout="joomla.form.field.radio.switcher"
                        label="PLG_SOCIALLOGIN_APPLE_FIELD_BYPASSVALIDATION_LABEL"
                        description="PLG_SOCIALLOGIN_APPLE_FIELD_BYPASSVALIDATION_DESC"
                        default="1"
                        showon="createnew:1"
                >
                    <option value="0">JNO</option>
                    <option value="1">JYES</option>
                </field>

                <field
                        name="customcss"
                        type="radio"
                        layout="joomla.form.field.radio.switcher"
                        label="PLG_SOCIALLOGIN_APPLE_FIELD_CUSTOMCSS_LABEL"
                        description="PLG_SOCIALLOGIN_APPLE_FIELD_CUSTOMCSS_DESC"
                        default="1"
                >
                    <option value="0">JNO</option>
                    <option value="1">JYES</option>
                </field>

                <field
                        name="fgcolor"
                        type="color"
                        default="#FFFFFF"
                        label="PLG_SOCIALLOGIN_APPLE_FIELD_FGCOLOR_LABEL"
                        description="PLG_SOCIALLOGIN_APPLE_FIELD_FGCOLOR_DESC"
                        showon="customcss:1"
                    />

                <field
                        name="bgcolor"
                        type="color"
                        default="#000000"
                        label="PLG_SOCIALLOGIN_APPLE_FIELD_BGCOLOR_LABEL"
                        description="PLG_SOCIALLOGIN_APPLE_FIELD_BGCOLOR_DESC"
                        showon="customcss:1"
                    />

            </fieldset>
        </fields>
    </config>

</extension>
